﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ServiceStack.ServiceHost;
using ServiceStack.ServiceInterface.ServiceModel;
using ServiceStack.FluentValidation;
using ServiceStack.FluentValidation.Results;
using MyFramework.ServiceStackApi;

namespace ServiceStackApiDemo.Contracts
{
    [Route("/ListUsers", Verbs = "GET")]
    public class ListUsers : IReturn<ListUsersResponse>
    {
    }

    public class User
    {
        public ulong Id { get; set; }
        public string Name { get; set; }
    }

    public class ListUsersResponse : LelibreResponse
    {
        public User[] Users { get; set; }
    }
}
