﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ServiceStackApiDemo.Domain;
using MyFramework;
using System.Linq.Expressions;

namespace ServiceStackApiDemo.Facades
{
    public class FindByOwnerSpecification : ISpecification<IMyUser>
    {
        private string owner;

        public FindByOwnerSpecification(string owner)
        {
            this.owner = owner;
        }

        public Expression<Func<IMyUser, bool>> Expression
        {
            get { return (elt) => elt.Owner == this.owner; }
        }
    }
}
