﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ServiceStack.ServiceHost;
using ServiceStack.ServiceInterface.ServiceModel;
using ServiceStack.FluentValidation;
using ServiceStack.FluentValidation.Results;
using MyFramework.ServiceStackApi;

namespace ServiceStackApiDemo.Contracts
{
    [Route("/CreateUser/{Name}", Verbs = "POST")]
    public class CreateUser : IReturn<CreateUserResponse>
    {
        public string Name { get; set; }
    }

    public class CreateUserResponse : LelibreResponse
    {
    }
}
