﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MyFramework;
using NHibernate.Linq;
using ServiceStackApiDemo.Domain;

namespace ServiceStackApiDemo.Queries
{
    internal class MyUserRepository : Repository<IMyUser>, IMyUserRepository
    {
        public IMyUser GetByName(string name)
        {
            IAuthUser currentUser = InjectionManager.Resolve<IAuthUser>();
            var query = this.CurrentSession.Query<IMyUser>();
            return query.SingleOrDefault(elt => elt.Name == name && elt.Owner == currentUser.UserName);
        }
    }
}
