﻿using MyFramework;
using ServiceStackApiDemo.Contracts;
using ServiceStackApiDemo.Domain;

namespace ServiceStackApiDemo.Web
{
    public class ConvertMyUserToContractUser : Mapper<IMyUser, User>
    {
        public override User Build(IMyUser source)
        {
            return new User { Id = source.ID, Name = source.Name };
        }
    }
}